# Sustainability Metrics

### Fields

| Field        | Type                                                                      | Description                                      |
| ------------ | ------------------------------------------------------------------------- | ------------------------------------------------ |
| group        | String                                                                    | Sustainability group                             |
| measure      | String                                                                    | Measurement for the sustainability metric        |
| name         | String                                                                    | Name                                             |
| period       | [Period](/company-data-api/graphql-objects/untitled-3.md)                 | Daily, Monthly, Quarterly, Semi-Annual or Annual |
| Source       | [Source](/company-data-api/graphql-objects/source-object.md)              | Source Label and URL                             |
| units        | [MetricUnitEnum](/company-data-api/graphql-enums/metric-unit-enum.md)     | Currency, Units or Percentage                    |
| value        | Sting                                                                     | Amount for the metric                            |
| currencyCode | [CurrencyTypeEnum](/company-data-api/graphql-enums/currency-type-enum.md) | Currency for the units **currency**              |

### Query example

```graphql
# query
query findCompanyByDomain($domain: String!) {
    company(domain: $domain) {
        sustainability {
            group
            measure
            name
            period {
              displayEndDate
              endDate
              periodType
              startDate
            }
            source {
              label
              url
            }
            units
            value               
        }
    }
}


# variables
{ "domain": "meta.com" }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/company-data-api/data-points/operating-data/sustainability-metrics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
